<!DOCTYPE html>
<html>
<head>
  <title>Recipes App - Search by Ingredient</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
  <style>
    /* Custom CSS Styles */
    .recipe-image {
      width: 200px;
      height: 200px;
      object-fit: cover;
      display: block;
      margin-left: auto;
      margin-right: auto;
      margin-top: 20px;
    }
  </style>
</head>
<body>
  <div class="container">
    <h1>Search Recipes by Ingredient</h1>
    <form class="form-inline mb-3" action="{% url 'recipe:search_by_ingredient' %}" method="get">
      <div class="form-group mr-2">
        <input class="form-control" type="text" name="ingredient_query" placeholder="Enter ingredient">
      </div>
      <button class="btn btn-primary" type="submit">Search</button>
    </form>
    
    {% if query %}
      <h2>Search Results for Ingredient: {{ query }}</h2>
    {% endif %}
    
    <div class="row">
      {% for recipe in recipes %}
        <div class="col-md-3">
          <div class="card mb-4">
            <img src="{{ recipe.picture.url }}" class="card-img-top recipe-image mx-auto" alt="{{ recipe.name }}">
            <div class="card-body d-flex flex-column align-items-center">
              <h5 class="card-title">{{ recipe.name }}</h5>
              <p class="card-text">{{ recipe.description }}</p>
              <a href="{% url 'recipe:recipe_detail' recipe.id %}" class="btn btn-primary" style="width:150px;">View Recipe</a>
              {% if user.is_authenticated %}
              <form action="{% url 'recipe:delete-recipe' recipe.id %}" method="post">
                {% csrf_token %}
                <button type="submit" class="btn btn-danger" style="width:150px; margin-top:10px;">Delete Recipe</button>
              </form>
              {% endif %}
            </div>
          </div>
        </div>
      {% empty %}
        <p>No recipes found.</p>
      {% endfor %}
    </div>
    
    <div class="text-right mt-3">
      <a href="{% url 'recipe:home' %}" class="btn btn-secondary">Back to Homepage</a>
    </div>
  </div>

  <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"></script>
</body>
</html>
